/* <<< Start of information >>>                                       */
/* ------------------------------------------------------------------ */
/* This file is part of the xwatch program. Copyright (C) Karel Kubat */
/* 1995. All rights reserved. You are permitted to redistribute this  */
/* package, if you include all unmodified sources and all unmodified  */
/* documentation (including this text). You are NOT permitted to      */
/* distribute files of this package with modifications. See the file  */
/* COPYING for more information. When in doubt, mail me at            */
/* karel@icce.rug.nl.                                                 */
/* ------------------------------------------------------------------ */
/* <<< End of information >>>                                         */

#include "xwatch.h"

void create_browser_form ()
{
    FL_OBJECT
	*obj;
    
    browser_form  = fl_bgn_form (FL_NO_BOX, 550, 70);
    
    browser = fl_add_browser (FL_NORMAL_BROWSER, 30, 0, 520, 70,"");
    fl_set_object_color (browser, backgr, FL_YELLOW);
    fl_set_object_lcol (browser, foregr);
    fl_set_browser_leftslider (browser, 1);
    
    obj = fl_add_button (FL_NORMAL_BUTTON, 0, 0, 30, 70, "?");
    fl_set_object_lsize (obj, FL_NORMAL_SIZE);
    fl_set_object_callback (obj, options_button_callback, 0);
    
    fl_end_form();
}
