/* <<< Start of information >>>                                       */
/* ------------------------------------------------------------------ */
/* This file is part of the xwatch program. Copyright (C) Karel Kubat */
/* 1995. All rights reserved. You are permitted to redistribute this  */
/* package, if you include all unmodified sources and all unmodified  */
/* documentation (including this text). You are NOT permitted to      */
/* distribute files of this package with modifications. See the file  */
/* COPYING for more information. When in doubt, mail me at            */
/* karel@icce.rug.nl.                                                 */
/* ------------------------------------------------------------------ */
/* <<< End of information >>>                                         */

static FL_CMD_OPT cmdopt [] =	    /* resource options */
{
    { "-border",        "*.border",        XrmoptionSepArg, 0 },
    { "-xpos",          "*.xpos",          XrmoptionSepArg, 0 },
    { "-ypos",          "*.ypos",          XrmoptionSepArg, 0 },
    { "-width",         "*.width",         XrmoptionSepArg, 0 },
    { "-height",        "*.height",        XrmoptionSepArg, 0 },
    { "-fred",	        "*.fred",          XrmoptionSepArg, 0 },
    { "-fgreen",        "*.fgreen",        XrmoptionSepArg, 0 },
    { "-fblue",	        "*.fblue",         XrmoptionSepArg, 0 },
    { "-bred",	        "*.bred",          XrmoptionSepArg, 0 },
    { "-bgreen",        "*.bgreen",        XrmoptionSepArg, 0 },
    { "-bblue",	        "*.bblue",         XrmoptionSepArg, 0 },
    { "-printtime",     "*.timestamp",     XrmoptionSepArg, 0 },
    { "-printname",     "*.filename",      XrmoptionSepArg, 0 },
    { "-newline",       "*.newline",       XrmoptionSepArg, 0 },
    { "-nlines",        "*.nlines",        XrmoptionSepArg, 0 },
    { "-interval",      "*.interval",      XrmoptionSepArg, 0 },
    { "-linelen",       "*.linelen",       XrmoptionSepArg, 0 },
    { "-fontsize",      "*.fontsize",      XrmoptionSepArg, 0 },
    { "-fontstyle",     "*.fontstyle",     XrmoptionSepArg, 0 },
    { "-firstwarnings", "*.firstwarnings", XrmoptionSepArg, 0 },
    { "-printversion",  "*.printversion",  XrmoptionSepArg, 0 },
};

static FL_resource res [] =
{
    { "border",        "XWatch",    FL_INT, &border,             "1",   0 },
    { "xpos",	       "XWatch",    FL_INT, &xpos,               "0",   0 },
    { "ypos",	       "XWatch",    FL_INT, &ypos,               "0",   0 },
    { "width",	       "XWatch",    FL_INT, &width,              "550", 0 },
    { "height",	       "XWatch",    FL_INT, &height,             "70",  0 },
    { "fred",	       "XWatch",    FL_INT, &fred,               "0",   0 },
    { "fgreen",	       "XWatch",    FL_INT, &fgreen,             "0",   0 },
    { "fblue", 	       "XWatch",    FL_INT, &fblue,              "0",   0 },
    { "bred",	       "XWatch",    FL_INT, &bred,               "255", 0 },
    { "bgreen",	       "XWatch",    FL_INT, &bgreen,             "255", 0 },
    { "bblue", 	       "XWatch",    FL_INT, &bblue,              "255", 0 },
    { "printtime",     "XWatch",    FL_INT, &printtime,          "1",   0 },
    { "printname",     "XWatch",    FL_INT, &printname,          "1",   0 },
    { "newline",       "XWatch",    FL_INT, &newline,            "0",   0 },
    { "nlines",        "XWatch",    FL_INT, &nlines,             "200", 0 },
    { "interval",      "XWatch",    FL_INT, &interval,           "5",   0 },
    { "linelen",       "XWatch",    FL_INT, &linelen,            "1000",0 },
    { "fontsize",      "XWatch",    FL_INT, &fontsize,           "2",   0 },
    { "fontstyle",     "XWatch",    FL_INT, &fontstyle,          "0",   0 },
    { "firstwarnings", "XWatch",    FL_INT, &firstwarnings,      "1",   0 },
    { "printversion",  "XWatch",    FL_INT, &printversion,	 "1",   0 },
};                  
