/* <<< Start of information >>>                                       */
/* ------------------------------------------------------------------ */
/* This file is part of the xwatch program. Copyright (C) Karel Kubat */
/* 1995. All rights reserved. You are permitted to redistribute this  */
/* package, if you include all unmodified sources and all unmodified  */
/* documentation (including this text). You are NOT permitted to      */
/* distribute files of this package with modifications. See the file  */
/* COPYING for more information. When in doubt, mail me at            */
/* karel@icce.rug.nl.                                                 */
/* ------------------------------------------------------------------ */
/* <<< End of information >>>                                         */

#include "xwatch.h"
#include "version.h" 

void usage ()
{
    printf
(
 "\n"
 "X File Watcher  V" VER "\n"
 "Copyright (c) Karel Kubat 1995. All rights reserved.\n"
 "Another MegaHard Production!\n"
 "\n"
 "Usage: xwatch [options] file(s)\n"
 "where:\n"
 "  options may be:\n"
 "   XForms options:\n"
 "    -display host:display - the display, default: $DISPLAY\n"
 "    -name applicationname - application name for X resource managing\n"
 "                            default: xwatch\n"
 "    -visual class         - visual class, e.g. TrueColor\n"
 "    -depth n              - visual depth\n"
 "    -private, -shared,\n"
 "    -stdcmap              - defines color mapping\n"
 "    -debug d              - verbosity of XForms window management\n"
 "    -sync                 - forces synchronous mode\n"
 "   Xwatch options: (# stands for a number, [..] means default)\n"
 "    -border 0|1           - start text window with or without border   [1]\n"
 "    -xpos # -ypos #       - define screen position of text window    [0 0]\n"
 "    -width # -height #    - define size of text window            [550 70]\n"
 "    -fred # -fgreen #     - define foreground RGB, all numbers\n"
 "      -fblue #              in the range 0 to 255            [255 255 255]\n"
 "    -bred # -bgreen #     - define background RGB, see -fred etc..\n"
 "      -bblue #                                                     [0 0 0]\n"
 "    -printtime 0|1        - print timestamps                           [1]\n"
 "    -printname 0|1        - print filenames                            [1]\n"
 "    -newline 0|1          - print newline after stamp and name         [0]\n"
 "    -nlines #             - nr of lines to store; 10 to 1000         [200]\n"
 "    -interval #           - scanning interval in sec, 1 to 30          [5]\n"
 "    -linelen #            - break lines after # charachters          [100]\n"
 "    -fontsize #           - size of font: 1=smallest, 4=largest        [2]\n"
 "    -fontstyle #          - used font:\n"
 "                             0=helvetica, 1=+bold, 2=+italic, 3=bold/it\n"
 "                             4=courier,   5=+bold, 6=+italic, 7=bold/it\n"
 "                             8=times,     9=+bold,10=+italic,11=bold/it\n"
 "                            12=charter,  13=+bold,14=+italic,\n"
 "                            15=symbol                                  [0]\n"
 "    -firstwarnings 0|1    - print warnings about files upon startup    [1]\n"
 "    -printversion 0|1     - print version/copyright upon startup       [1]\n"
 "  file(s): the files to monitor. You can specify an alternate color for\n"
 "  a file using the syntax filename:number/number/number, in which the\n"
 "  three numbers give the R/G/B code for this file. E.g., the specification\n"
 "  /var/adm/critical:255/0/0 makes the text of this file to appear in red.\n"
 "\n"
 );

    exit (1);
}
