/* <<< Start of information >>>                                       */
/* ------------------------------------------------------------------ */
/* This file is part of the xwatch program. Copyright (C) Karel Kubat */
/* 1995. All rights reserved. You are permitted to redistribute this  */
/* package, if you include all unmodified sources and all unmodified  */
/* documentation (including this text). You are NOT permitted to      */
/* distribute files of this package with modifications. See the file  */
/* COPYING for more information. When in doubt, mail me at            */
/* karel@icce.rug.nl.                                                 */
/* ------------------------------------------------------------------ */
/* <<< End of information >>>                                         */
#include "xwatch.h" 

/* callbacks for form browser_form */

void options_button_callback(FL_OBJECT *ob, long data)
{
    fl_deactivate_form (browser_form);
    create_options_form ();
    fl_show_form (options_form,
		  FL_PLACE_CENTER, FL_FULLBORDER,
		  "Xwatch Options");
}


/* callbacks for form options_form */

void ok_button_callback(FL_OBJECT *ob, long data)
{
    fl_activate_form (browser_form);
    fl_hide_form (options_form);
    fl_free_form (options_form);
}

void quit_button_callback(FL_OBJECT *ob, long data)
{
    fl_finish ();
    exit (0);
}

void rescan_button_callback(FL_OBJECT *ob, long data)
{
    rescan = 1;
}

void lines_slider_callback(FL_OBJECT *ob, long data)
{
    nlines = (int) fl_get_slider_value (ob);
}

void linelen_slider_callback(FL_OBJECT *ob, long data)
{
    linelen = (int) fl_get_slider_value (ob);
}

void interval_slider_callback(FL_OBJECT *ob, long data)
{
  /* fill-in code for callback */
    interval = (int) fl_get_slider_value (ob);
}

void tiny_font_button_callback(FL_OBJECT *ob, long data)
{
    /* fill-in code for callback */
    fl_set_browser_fontsize (browser, FL_TINY_SIZE);
    fl_redraw_object (browser);
}

void small_font_button_callback(FL_OBJECT *ob, long data)
{
    /* fill-in code for callback */
    fl_set_browser_fontsize (browser, FL_SMALL_SIZE);
    fl_redraw_object (browser);
}

void normal_font_button_callback(FL_OBJECT *ob, long data)
{
    /* fill-in code for callback */
    fl_set_browser_fontsize (browser, FL_NORMAL_SIZE);
    fl_redraw_object (browser);
}

void medium_font_button_callback(FL_OBJECT *ob, long data)
{
    /* fill-in code for callback */
    fl_set_browser_fontsize (browser, FL_MEDIUM_SIZE);
    fl_redraw_object (browser);
}



